Subject: bug#63861: [PATCH] pp.el: New "pretty printing" code

From: Stefan Monnier <[email-masked]>
Date: Wed, 07 Jun 2023 17:18:00 -0400

> No, more or less the same:

:-(

> (benchmark-run-compiled 1 (pp-buffer))
> => (48.501764747 0 0.0)
>
> I have modified my code so that it can be used outside help, you can
> test it with tv/pp-region. Here with always the same test buffer:
>
> (benchmark-run-compiled 1 (tv/pp-region (point-min) (point-max)))
> => (0.259444169 0 0.0)

Hmm... I think this depends on the data you're printing.
Any hope you can share the data you're using for your tests?
[ I understand it's personal, so it can be problematic.  Maybe you can
  anonymize with a search&replace of, say `[[:alpha:]]` to `x`?  ]

        Stefan